import { Language } from 'web-tree-sitter';
export declare class WASMLoader {
    private static languageCache;
    private static globalLoadLock;
    private static isInitialized;
    static init(): Promise<void>;
    static getLanguage(lang: string): Promise<Language>;
    private static normalizeLanguageName;
    private static downloadGrammar;
}
